<?php
abstract class BaseTest {
	
	protected $appkey = ""; // 修改成您自己的appkey
	
	protected $secret = ""; // 修改为您自己的secret
	
	protected $topAppkey = ""; // 如果没有TOP appkey，可以直接使用御城河appkey填充，即topAppkey=appkey
	
	protected $apiHost = "http://gw.ose.aliyun.com/event/"; // 日志接入API
	
	protected $accountHost = "http://account.ose.aliyun.com/"; // 账号风控API
	
	protected $defaultParam = array("appName" => "我的测试应用",
									"ati" => "123456789123456789",
									"userId" => "tester",
									"userIp" => "114.114.114.114"
									);
	
	public function __construct() {
		$this->defaultParam["time"] = time() . "000";
		
		if (empty($this->appkey) or empty($this->secret)) {
			throw new Exception("appkey or secret is empty.");
		}
		
		if (empty($this->topAppkey)) {
			$this->topAppkey = $this->appkey;
		}
	}
	
	protected function parseResult($response) {
		if (isset($response)) {
			$rsp_json = json_decode($response, true);
			$result = $rsp_json["result"];
			if (strcmp("success", $result) == 0) {
				echo "[" . get_called_class() . "] Success.\n";
			}
			else {
				echo "[" . get_called_class() . "] Error:" . $response."\n";
			}
		}
		else {
			echo "[" . get_called_class() . "] Error: request error\n";
		}
	}
	
	abstract public function exec();
}
?>