<?php
require_once "YchClient.php";
require_once "BaseTest.php";

class TestExpressQuery extends BaseTest {

	public function exec() {
		$url = $this->apiHost . "ecoLog";
		$params = $this->constructParam();
		$sdk = new YchClient($this->appkey, $this->secret);
		$rsp = $sdk->send($url ,$params);
		$this->parseResult($rsp);
	}

	private function constructParam() {		
		$params["appId"] = $this->appkey;
		$params["method"] = "express_query";
		$params["time"] = $this->defaultParam["time"];
		$params["operation_time"] = $this->defaultParam["time"];
		$params["company"] = "xxx物流有限公司";
		$params["station_id"] = "1234";
		$params["station"] = "xxx中心";
		$params["province"] = "浙江";
		$params["city"] = "杭州";
		$params["user_id"] = "10001";
		$params["user"] = "administrator";
		$params["source_type"] = "pc";
		$params["source_application"] = $this->defaultParam["appName"];
		$params["source_public_ip"] = "42.120.74.90";
		$params["source_private_ip"] = "10.1.2.3";
		$params["source_vpn_ip"] = "10.2.3.4";
		$params["source_mac"] = "00-50-56-C0-00-08";
		$params["target_application"] = $this->defaultParam["appName"];
		$params["target_public_ip"] = "140.205.32.56";
		$params["target_private_ip"] = "10.99.1.2";
		$params["operation_type"] = "查询";
		$params["result"] = "success";
		$params["reason"] = "mail_no not found.";
		$params["content"] = "receiver_phone;receiver_name;";
		$params["mail_no"] = "211403581124;211403581125";
		$params["order_id"] = "";
		$params["wms_id"] = "";
		$params["association_number"] = "2";
		$params["email"] = "";
		$params["feature"] = "";

		return $params;
	}
}
?>